### Namespace

# Nautilus – 4.1

Nautilus Extension API

Version | 50.0
Authors | The GNOME Project
License | GPL-3.0-or-later
Website | https://gnome.pages.gitlab.gnome.org/nautilus/
Source | https://gitlab.gnome.org/GNOME/nautilus/

#### Build

C headers | `nautilus-extension.h`
pkg-config files | `libnautilus-extension`

#### Dependencies

GLib—2.0 | The base type system library
| Browse documentation
GObject—2.0 | The base type system library
| Browse documentation
Gio—2.0 | GObject Interfaces and Objects, Networking, IPC, and I/O
| Browse documentation

#### Additional documentation

- Classes Hierarchy

#### Classes

Column | List view column descriptor object.
Menu | A submenu linked to a `NautilusMenuItem`.
MenuItem | An individual item with a Nautilus context menu.
PropertiesItem | A single element in a file’s properties.
PropertiesModel | A model to implement custom file Properties.

#### Interfaces

ColumnProvider | Interface to provide additional list view columns.
FileInfo | File interface for nautilus extensions.
InfoProvider | Interface to provide additional information about files.
MenuProvider | Interface to provide additional menu items.
PropertiesModelProvider | Interface to provide additional properties.

#### Structs

OperationHandle | Handle for asynchronous interfaces.

#### Enumerations

OperationResult | Return values for asynchronous operations performed by the extension.

#### Functions

module_initialize | Called when the extension is begin loaded to register the types it exports and to perform other initializations.
module_list_types | Called after the extension has been initialized and has registered all the types it exports, to load them into Nautilus.
module_shutdown | Called when the extension is being unloaded.